# $Revision: 1.112.2.3 $, $Date: 2004/05/19 21:59:33 $
#
# Conditional build:
%bcond_without ldap	# without LDAP support
%bcond_without mysql	# without MySQL support
%bcond_without pgsql	# without PostgreSQL support
Summary:	Courier-IMAP server
Summary(pl):	Serwer Courier-IMAP
Name:		courier-imap
Version:	3.0.3
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	6a882a12b5d94ab0b2b22f9ef56a9b9f
Source1:	%{name}.init
Source2:	%{name}-pop3.init
Source3:	%{name}-authdaemon.init
Source4:	%{name}.pamd
Source5:	%{name}-pop3.pamd
Source6:	%{name}.sysconfig
Source7:	%{name}-pop3.sysconfig
Source8:	%{name}-authdaemon.sysconfig
URL:		http://www.inter7.com/courierimap/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gdbm-devel
BuildRequires:	libstdc++-devel
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel >= 0.9.6m
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	procps
BuildRequires:	sysconftool
%{?with_mysql:BuildRequires:	zlib-devel}
PreReq:		%{name}-common = %{version}-%{release}
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	pam >= 0.77.3
Provides:	imapdaemon
Obsoletes:	imapdaemon
Conflicts:	cyrus-imapd
Conflicts:	imap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	/usr/lib/courier-imap
%define		_sysconfdir	/etc/courier-imap

%description
Courier-IMAP is an IMAP server for Maildir mailboxes.

%description -l pl
Courier-IMAP jest serwerem IMAP dla skrzynek pocztowych Maildir.

%package common
Summary:	Common files for imap and pop daemons
Summary(pl):	Pliki wsplne dla serwerw imap i pop
Group:		Networking/Daemons
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-deliverquota	= %{version}-%{release}
Requires:	%{name}-maildirmake	= %{version}-%{release}
Requires:	%{name}-userdb		= %{version}-%{release}

%description common
Common files for imap and pop daemons.

%description common -l pl
Pliki wsplne dla serwerw imap i pop.

%package userdb
Summary:	Commands used to create the /etc/userdb.dat
Summary(pl):	Polecenia do tworzenia /etc/userdb.dat
Group:		Networking/Daemons

%description userdb
Commands used to create the /etc/userdb.dat.

%description userdb -l pl
Polecenia uywane do stworzenia /etc/userdb.dat.

%package deliverquota
Summary:	Deliver to a Maildir with a quota
Summary(pl):	Obsuga quoty przy dostarczaniu poczty do skrzynek Maildir
Group:		Networking/Daemons

%description deliverquota
deliverquota is a temporary hack to implement E-mail delivery to a
Maildir with a software-imposed quota.

%description deliverquota -l pl
deliverquota jest tymczasowym rozwizaniem implementujcym
dostarczanie e-maili do skrzynek Maildir z programowo narzucon quot.

%package maildirmake
Summary:	Tool for making mail folders in Maildir format
Summary(pl):	Narzdzie do tworzenia folderw w formacie Maildir
Group:		Networking/Daemons
Conflicts:	qmail-maildirmake

%description maildirmake
Maildirmake is a tool for making mail folders in Maildir format.

%description maildirmake -l pl
Maildirmake jest narzdziem do tworzenia folderw pocztowych w
formacie Maildir.

%package pop3
Summary:	Courier-IMAP POP3 Server
Summary(pl):	Serwer Courier-IMAP POP3
Group:		Networking/Daemons
PreReq:		%{name}-common = %{version}-%{release}
Requires:	pam >= 0.77.3
Provides:	pop3daemon
Obsoletes:	pop3daemon
Conflicts:	cyrus-imapd
Conflicts:	imap-pop3
Conflicts:	solid-pop3d
Conflicts:	tpop3d

%description pop3
Courier-IMAP POP3 is an POP3 server for Maildir mailboxes.

%description pop3 -l pl
Courier-IMAP POP3 jest serwerem POP3 dla skrzynek pocztowych Maildir.

%package authldap
Summary:	LDAP authentication daemon for Courier IMAP
Summary(pl):	Demon autentykacji LDAP do Courier IMAP
Group:		Networking/Daemons
PreReq:		%{name}-common = %{version}-%{release}

%description authldap
This package provides LDAP authentication for Courier IMAP.

%description authldap -l pl
Ten pakiet pozwala na korzystanie z autentykacji LDAP w Courier IMAP.

%package authmysql
Summary:	MySQL authentication daemon for Courier IMAP
Summary(pl):	Demon autentykacji MySQL do Courier IMAP
Group:		Networking/Daemons
PreReq:		%{name}-common = %{version}-%{release}
Requires:	zlib

%description authmysql
This package provides MySQL authentication for Courier IMAP.

%description authmysql -l pl
Ten pakiet pozwala na korzystanie z autentykacji MySQL w Courier IMAP.

%package authpgsql
Summary:	PostgreSQL authentication daemon for Courier IMAP
Summary(pl):	Demon autentykacji PostgreSQL do Courier IMAP
Group:		Networking/Daemons
PreReq:		%{name}-common = %{version}-%{release}

%description authpgsql
This package provides PostgreSQL authentication for Courier IMAP.

%description authpgsql -l pl
Ten pakiet pozwala na korzystanie z autentykacji PostgreSQL w Courier
IMAP.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
cp -f /usr/share/automake/config.sub maildir
cd authlib
%{__aclocal}
%{__automake}
%{__autoconf}
cd ..
%configure \
	--enable-unicode \
	--with-authchangepwdir=/var/tmp \
	--with-authdaemonvar=/var/lib/authdaemon \
	%{?with_mysql:--with-mysql-libs=%{_libdir} --with-mysql-includes=%{_includedir}/mysql} \
	%{!?with_mysql:--without-authmysql} \
	%{?with_pgsql:--with-pgsql-libs=%{_libdir} --with-pgsql-includes=%{_includedir}/postgresql} \
	%{!?with_pgsql:--without-authpgsql} \
	%{!?with_ldap:--without-authldap}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,security,sysconfig} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/shared,/var/lib/authdaemon}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-imap
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/courier-pop3
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/authdaemon

install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/imap
install %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/pop3

install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/courier-imap
install %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/courier-pop3
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/authdaemon

rm -rf	$RPM_BUILD_ROOT%{_mandir}/man8/{authcram,authpam,authpwd,authshadow,authuserdb,authvchkpw,pw2userdb,vchkpw2userdb,authdaemon,authdaemond,authldap,authmysql}.8 \
	$RPM_BUILD_ROOT%{_sbindir}/{*db,mk*cert}

mv -f authlib/README.authmysql.html README.authmysql.html
mv -f authlib/README.ldap README.ldap
mv -f authlib/README.authmysql.myownquery README.authmysql.myownquery
mv -f imap/README README.imap
mv -f imap/ChangeLog ChangeLog
mv -f maildir/README.maildirquota.txt README.maildirquota

install authlib/authdaemonrc		$RPM_BUILD_ROOT%{_sysconfdir}
install authlib/authldaprc		$RPM_BUILD_ROOT%{_sysconfdir}
install authlib/authmysqlrc		$RPM_BUILD_ROOT%{_sysconfdir}
install authlib/authpgsqlrc		$RPM_BUILD_ROOT%{_sysconfdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/*db \
	$RPM_BUILD_ROOT%{_sbindir}
mv -f $RPM_BUILD_ROOT%{_datadir}/mk*cert \
	$RPM_BUILD_ROOT%{_sbindir}

mv -f tcpd/couriertls.1 $RPM_BUILD_ROOT%{_mandir}/man8/couriertls.8
mv -f imap/courierpop3d.8 $RPM_BUILD_ROOT%{_mandir}/man8/courierpop3d.8

echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authcram.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authpam.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authpwd.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authshadow.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authuserdb.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authvchkpw.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authdaemon.8
echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authdaemond.8
%{?with_pgsql:echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authpgsql.8}
%{?with_mysql:echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authmysql.8}
%{?with_ldap:echo ".so man7/authlib.7"	>$RPM_BUILD_ROOT%{_mandir}/man8/authldap.8}
echo ".so makeuserdb.8"	>$RPM_BUILD_ROOT%{_mandir}/man8/pw2userdb.8
echo ".so makeuserdb.8"	>$RPM_BUILD_ROOT%{_mandir}/man8/vchkpw2userdb.8

touch $RPM_BUILD_ROOT/etc/security/blacklist.{pop3,imap}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/*.dist
rm -f $RPM_BUILD_ROOT%{_libexecdir}/*.rc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add courier-imap

if [ -f /var/lock/subsys/courier-imap ]; then
	/etc/rc.d/init.d/courier-imap restart >&2
else
	echo "Run \"/etc/rc.d/init.d/courier-imap start\" to start courier-imap daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/courier-imap ]; then
		/etc/rc.d/init.d/courier-imap stop >&2
	fi
	/sbin/chkconfig --del courier-imap
fi

%post common
/sbin/chkconfig --add authdaemon

if [ -f /var/lock/subsys/authdaemon ]; then
	/etc/rc.d/init.d/authdaemon restart >&2
else
	echo "Run \"/etc/rc.d/init.d/authdaemon start\" to start courier-imap authdaemon."
fi

%preun common
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/authdaemon ]; then
		/etc/rc.d/init.d/authdaemon stop >&2
	fi

	/sbin/chkconfig --del authdaemon
fi

%post pop3
/sbin/chkconfig --add courier-pop3
/sbin/chkconfig --del courier-imap-pop3 >/dev/null 2>&1 || :
if [ -f /var/lock/subsys/courier-imap-pop3 ]; then
	/etc/rc.d/init.d/courier-imap-pop3 stop >&2
	/etc/rc.d/init.d/courier-pop3 start >&2
elif [ -f /var/lock/subsys/courier-pop3 ]; then
	/etc/rc.d/init.d/courier-pop3 restart >&2
else
	echo "Run \"/etc/rc.d/init.d/courier-pop3 start\" to start courier-pop3 daemon."
fi
rm -f /etc/rc.d/init.d/courier-imap-pop3

%preun pop3
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/courier-pop3 ]; then
		/etc/rc.d/init.d/courier-pop3 stop >&2
	fi
	/sbin/chkconfig --del courier-pop3
	if [ -f /var/lock/subsys/courier-imap-pop3 ]; then
		/etc/rc.d/init.d/courier-imap-pop3 stop >&2
	fi
	/sbin/chkconfig --del courier-imap-pop3 >/dev/null 2>&1 || :
	rm -f /etc/rc.d/init.d/courier-imap-pop3
fi

%post authldap
METHOD=plain
. /etc/sysconfig/authdaemon
if [ "$METHOD" = "ldap" ]; then
	if [ -f /var/lock/subsys/authdaemon ]; then
		/etc/rc.d/init.d/authdaemon restart >&2
	else
		echo "Run \"/etc/rc.d/init.d/authdaemon start\" to start courier-imap authdaemon."
	fi
fi

%preun authldap
METHOD=plain
if [ -e /etc/sysconfig/authdaemon ]; then
	. /etc/sysconfig/authdaemon
	if [ "$1" = "$0" -a "$METHOD" = "ldap" ]; then
		if [ -f /var/lock/subsys/authdaemon ]; then
			/etc/rc.d/init.d/authdaemon stop >&2
		fi
	fi
fi

%post authmysql
METHOD=plain
. /etc/sysconfig/authdaemon
if [ "$METHOD" = "mysql" ]; then
	if [ -f /var/lock/subsys/authdaemon ]; then
		/etc/rc.d/init.d/authdaemon restart >&2
	else
		echo "Run \"/etc/rc.d/init.d/authdaemon start\" to start courier-imap authdaemon."
	fi
fi

%preun authmysql
METHOD=plain
if [ -e /etc/sysconfig/authdaemon ]; then
	. /etc/sysconfig/authdaemon
	if [ "$1" = "$0" -a "$METHOD" = "mysql" ]; then
		if [ -f /var/lock/subsys/authdaemon ]; then
			/etc/rc.d/init.d/authdaemon stop >&2
		fi
	fi
fi

%post authpgsql
METHOD=plain
. /etc/sysconfig/authdaemon
if [ "$METHOD" = "pgsql" ]; then
	if [ -f /var/lock/subsys/authdaemon ]; then
		/etc/rc.d/init.d/authdaemon restart >&2
	else
		echo "Run \"/etc/rc.d/init.d/authdaemon start\" to start courier-imap authdaemon."
	fi
fi

%preun authpgsql
METHOD=plain
if [ -e /etc/sysconfig/authdaemon ]; then
	. /etc/sysconfig/authdaemon
	if [ "$1" = "$0" -a "$METHOD" = "pgsql" ]; then
		if [ -f /var/lock/subsys/authdaemon ]; then
			/etc/rc.d/init.d/authdaemon stop >&2
		fi
	fi
fi

%files
%defattr(644,root,root,755)
%doc maildir/README.sharedfolders.html
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/imap
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.imap
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/courier-imap
%attr(754,root,root) /etc/rc.d/init.d/courier-imap
%{_sysconfdir}/imapd.cnf
%attr(750,daemon,daemon) %dir %{_sysconfdir}/shared
%attr(755,root,root) %{_bindir}/imapd
%attr(755,root,root) %{_bindir}/maildiracl
%attr(755,root,root) %{_bindir}/maildirkw
%attr(755,root,root) %{_sbindir}/authenumerate
%attr(755,root,root) %{_sbindir}/imaplogin
%attr(755,root,root) %{_sbindir}/mkimapdcert
%attr(755,root,root) %{_sbindir}/sharedindexinstall
%attr(755,root,root) %{_sbindir}/sharedindexsplit
%{_mandir}/man8/imapd*
%{_mandir}/man1/maildiracl.1*
%{_mandir}/man1/maildirkw.1*

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog imap/BUGS INSTALL README*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/authdaemon
%attr(754,root,root) /etc/rc.d/init.d/authdaemon
%attr(700,root,root) /var/lib/authdaemon
%attr(750,root,root) %dir %{_sysconfdir}
%dir %{_libexecdir}
%dir %{_libexecdir}/authlib
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/authdaemonrc
%{_sysconfdir}/quotawarnmsg.example
%attr(755,root,root) %{_bindir}/couriertls
%attr(755,root,root) %{_libexecdir}/authlib/authdaemon
%attr(755,root,root) %{_libexecdir}/authlib/authdaemond
%attr(755,root,root) %{_libexecdir}/authlib/authdaemond.plain
%attr(755,root,root) %{_libexecdir}/couriertcpd
%attr(755,root,root) %{_libexecdir}/makedatprog
%attr(755,root,root) %{_sbindir}/courierlogger
%{_mandir}/man8/auth[cdsuv]*
%{_mandir}/man8/authp[aw]*
%{_mandir}/man7/authlib*
%{_mandir}/man1/couriert*
%{_mandir}/man8/couriert*
%{_mandir}/man8/mk*

%files userdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/makeuserdb
%attr(755,root,root) %{_sbindir}/pw2userdb
%attr(755,root,root) %{_sbindir}/userdb
%attr(755,root,root) %{_sbindir}/userdbpw
%attr(755,root,root) %{_sbindir}/vchkpw2userdb
%{_mandir}/man8/makeuserdb*
%{_mandir}/man8/userdb*
%{_mandir}/man8/*pw2userdb*

%files deliverquota
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/deliverquota
%{_mandir}/man8/deliverquota*

%files maildirmake
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/maildirmake
%{_mandir}/man1/maildirmake*

%files pop3
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/pop3
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.pop3
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/courier-pop3
%attr(754,root,root) /etc/rc.d/init.d/courier-pop3
%attr(755,root,root) %{_bindir}/pop3d
%attr(755,root,root) %{_sbindir}/mkpop3dcert
%attr(755,root,root) %{_sbindir}/pop3login
%{_sysconfdir}/pop3d.cnf
%{_mandir}/man8/courierpop*

%if %{with ldap}
%files authldap
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/authldaprc
%attr(755,root,root) %{_libexecdir}/authlib/authdaemond.ldap
%{_mandir}/man8/authldap*
%endif

%if %{with mysql}
%files authmysql
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/authmysqlrc
%attr(755,root,root) %{_libexecdir}/authlib/authdaemond.mysql
%{_mandir}/man8/authmysql*
%endif

%if %{with pgsql}
%files authpgsql
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/authpgsqlrc
%attr(755,root,root) %{_libexecdir}/authlib/authdaemond.pgsql
%{_mandir}/man8/authpgsql*
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: courier-imap.spec,v $
Revision 1.112.2.3  2004/05/19 21:59:33  ankry
- cosmetics

Revision 1.112.2.2  2004/05/19 21:47:40  ankry
- rel. 2 for Ra, rel. 3 for Ac

Revision 1.112.2.1  2004/05/19 21:38:01  jack
- for RA-updates_general

Revision 1.112  2004/05/19 10:47:29  twittner
- auth{ldap,mysql,pgsql}rc may contain passwords and shouldn't be
  worldreadable.

Revision 1.111  2004/05/18 11:39:08  twittner
- added INSTALL to %doc - it contains configuration hints.
- added BR: procps to avoid an configure error.
- more strict Build/Pre/Requires

Revision 1.110  2004/04/17 10:47:35  andree
- added missing dir %%{_sysconfdir}/shared

Revision 1.109  2004/04/02 00:55:20  andree
- updated to 3.0.3

Revision 1.108  2004/03/28 17:09:32  andree
- rel.2 (to rebuild with init fixes)

Revision 1.107  2004/03/23 23:47:22  andree
- updated to 3.0.2
- remove unpackaged files

Revision 1.106  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.105  2004/02/26 16:53:26  andree
- version -> version-release

Revision 1.104  2004/02/25 00:24:39  andree
- fix post, preun sections, rel. 4

Revision 1.103  2004/02/05 09:47:30  jajcus
- Release: 3
- don't check for res_query() - this function is never used in the sources (-imap-no_res_query.patch) - fixes building with ldap enabled

Revision 1.102  2004/02/05 09:11:34  jajcus
- Release: 2
- config.sub refreshed for AMD64

Revision 1.101  2003/12/20 22:23:47  twittner
- fixed shell syntax

Revision 1.100  2003/12/18 14:02:46  twittner
- reverted last change - I'm too fast. There is still problem
  on (de)instalation with /etc/sysconfig/authdaemon and courier-imap-pop3
  service (old name).

Revision 1.99  2003/12/18 13:33:41  twittner
- fixed: s/courier-imap-pop3/courier-pop3/

Revision 1.98  2003/12/01 12:09:43  andree
- updated to 2.2.1

Revision 1.97  2003/11/26 12:36:25  siefca
- myownquery patch removed since it's incorporated into Courier sources

Revision 1.96  2003/11/03 23:23:09  andree
- updated to 2.2.0

Revision 1.95  2003/10/20 09:20:27  ankry
- really added couriertls manpage

Revision 1.94  2003/10/04 23:06:16  pius
- fixed bcond

Revision 1.93  2003/10/04 23:03:37  pius
- updated to 2.1.2
- new bcond style

Revision 1.92  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.91  2003/09/26 14:22:27  baggins
- release 2

Revision 1.90  2003/09/26 14:20:24  baggins
- req pam >= 0.77.3

Revision 1.89  2003/09/13 13:32:14  blues
- cosmetics

Revision 1.88  2003/09/11 14:34:30  ankry
- update to 2.1.1 by Andree

Revision 1.87  2003/08/06 16:49:55  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.86  2003/07/07 04:23:52  blues
- many small fixes, inspired by kloczek

Revision 1.85  2003/07/06 19:43:48  luzik
 - updated to 2.0.0
   (build, work, but some errors in init script)

Revision 1.84  2003/05/26 16:24:49  malekith
- massive attack: adding Source-md5

Revision 1.83  2003/05/25 05:46:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.82  2003/05/22 20:04:22  misiek
- fix configure call

Revision 1.81  2003/05/08 12:45:35  djrzulf
- changed to _without_pgsql (more universal),

Revision 1.80  2003/05/08 12:07:56  djrzulf
- bcond is called _without_postgresql not _withot_pgsql,

Revision 1.79  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.78  2003/02/10 11:41:21  qboosh
- working Source0 URL, Requires() for chkconfig

Revision 1.77  2003/02/09 23:27:14  undefine
- upgrade to 1.7.0
- siefca's patch commented - it's still needed? it wasn't included with
  courier-imap?

Revision 1.76  2003/01/19 23:16:39  zytek
- rel++ - changed /e/s/courier-imap Maildir directory

Revision 1.75  2002/10/14 19:08:13  misto
- fixed broken man links (auth{...}.8 -> authlib.7)
- release 5

Revision 1.74  2002/10/14 12:44:11  siefca
- myownquery.patch - new release (major updates at triggering functions)
- README for myownquery updated
- name change from Courier IMAP - POP3 into Courier POP3 in initscripts
- authdaemon automaticaly goes up if IMAP/POP3 is started -- initscripts
- release 5

Revision 1.73  2002/09/28 20:20:57  siefca
- fixed exit code wrapping while authdaemon restart
- changes in courierlogger filename not needed
- release++

Revision 1.72  2002/09/28 17:04:19  siefca
- back to stable version (snapshot seems to have broken md5crypt)
- patchfix adapted to sources
- release+=2
- waiting for kloczek's workaround on courierlogger filename

Revision 1.71  2002/09/28 15:35:57  siefca
- preparing for new courier-imap version (current snapshot 1.5.3.20020921)
- myownquery feature updated - new release, adapted for new sources
- added ChangeLog to documentation
- init.d scripts changes
  - logger is now courierlogger
  - restart of authdaemon causes each related service to be restarted

Revision 1.70  2002/08/07 11:57:10  qboosh
- courier-imap{,-pop3} Conflicts: cyrus-imapd; release 6

Revision 1.69  2002/07/17 18:32:37  undefine
- add Conflicts:     solid-pop3d, release 5

Revision 1.68  2002/06/10 07:51:00  qboosh
- removed COPYING from doc (known - GPL)

Revision 1.67  2002/06/09 13:58:02  qboosh
- base Conflicts: imap (not Obsoletes - different mbox formats!)
- pop3 Conflicts: imap-pop3, tpop3d (the same)
- missing pl summaries
- new %%doc
- release 4

Revision 1.66  2002/04/25 16:06:42  arturs
fixed a small typo

Revision 1.65  2002/04/11 14:41:16  qboosh
- removed authpgsql.8 from -common (present in -authpgsql); release 3

Revision 1.64  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.63  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.62  2002/02/13 23:45:10  siefca
- courier-imap-myownquery-fix.patch added
 - added trigger clauses support
 - added configurable separation/concatenation symbols for local_part/domain
 - added '$(username)' substitution variable
 - added documentation for system administrators :>
 - allowed empty domain names in queries
 - fixed an example configuration file (authmysqlrc)

Revision 1.61  2002/02/13 00:22:36  saq
- C-x C-s after adapterization :)

Revision 1.60  2002/02/13 00:21:14  saq
- up to 1.4.2 (bugfixes)
- remove myownquery.patch, it's included now
- changed myownquery's README filename (like in the sources)
- adapterized
- STBR

Revision 1.59  2002/01/18 02:12:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.58  2002/01/08 21:03:32  siefca
- fixed substitution variables' value cache in myownquery.patch

Revision 1.57  2002/01/08 13:31:17  siefca
- BuldRequires: kernel-headers due to lack of liblock

Revision 1.56  2002/01/08 13:18:47  siefca
- added conditional(mysql) BuildRequires: zlib-devel
- added Requires: zlib in authmysql subpackage

Revision 1.55  2002/01/07 23:40:12  siefca
- version++
- removed unneeded man2html from spec
- fixed manual sections numeration in spec
- added couriertcpd.8 in spec
- removed unused variable from myownquery.patch

Revision 1.54  2002/01/04 10:09:22  ankry
- there's no version 1.3.14
- version 1.4.0 release 1

Revision 1.53  2002/01/04 01:32:12  siefca
- fixed typo in myownquery.patch's documentation
- fixed an example configuration
- BTW, patch seems to be stable now

Revision 1.52  2001/12/30 02:15:52  siefca
- myownquery.patch simplified according to suggestions from Sam Varshavchik
  - building and counting modes removed
  - counting plugin function rewritten
  - parse_core() modified

Revision 1.51  2001/12/28 00:57:29  siefca
- patch name change
- added courier-imap-myownquery.patch URI in spec
- fixed authdaemon %post /etc/rc.d/init.d/authdaemon s/stop/restart/
- added documentation path authlib/README* in spec
- courier-imap-myownquery.patch seriously modified again
  - fixed get_localpart(), get_domain() and validate_password() functions
  - input dangerous characters are now ommited, NOT replaced by whitespaces
  - added definitions for the symbols marking substitution variables
  - added developer notes documentation
  - code reviewed

Revision 1.50  2001/12/27 02:58:49  siefca
- modified courier-imap-authmysql.patch
  - security fixes around local part and domain validating functions
  - substitution variables parser rewritten from scratch
  - function pointers instead of messy stuff around parsing subroutines
  - added password string validators
  - fixed typo in an example config

Revision 1.49  2001/12/20 18:30:26  bonkey
- s/mysql-libs/pgsql-libs/ in configure's postgres option

Revision 1.48  2001/12/14 17:42:26  bonkey
- release: 7
- added implicit declaration of postgresql-includes and libs in configure

Revision 1.47  2001/12/11 19:07:07  bonkey
- release: 6
- set authdaemon-pgsql package apart with conditional build and buildrequires
- STB

Revision 1.46  2001/12/10 02:54:10  siefca
- added patch which makes possible to have own database structure

Revision 1.45  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.44  2001/11/29 20:38:37  bonkey
- added BuildRequires: openssl-devel

Revision 1.43  2001/11/29 15:59:31  bonkey
- release: 3
- changes in startup scripts and sysconfig

Revision 1.42  2001/11/19 10:18:59  bonkey
- release: 2
- added --enable-unicode to %%configure
- added --with-authchangepwdir=/var/tmp (because by default configure puts
  /var/tmp/dev/null)
- added man for couriertls

Revision 1.41  2001/11/18 19:59:34  kloczek
- updated to 1.3.12.

Revision 1.40  2001/11/06 19:32:06  bonkey
- cleaned output from adapter.awk at the beginning of the spec

Revision 1.39  2001/11/06 17:26:58  bonkey
- release: 3
- deliveryquota, maildirmake and userdb packages
  extracted from common pkg
- maildirmake conflicts with qmail-maildirmake
- spec adapterized

Revision 1.38  2001/09/24 10:32:06  qboosh
- -common Prereq: /sbin/chkconfig (other subpackages Prereq: -common)

Revision 1.37  2001/09/17 16:45:34  qboosh
- release 2: changed -common deps to Prereq (needed by init scripts)

Revision 1.36  2001/09/14 01:32:53  kloczek
- updated to 1.3.11.

Revision 1.35  2001/09/09 18:24:22  qboosh
- fixed %%preun pop3

Revision 1.34  2001/09/09 15:50:34  qboosh
- fixed sysconfig paths in *auth* post/preun scripts
- s/0\.0\.0\.0/0/ in sysconfig/* (0 works w/o IPv6 in kernel, 0.0.0.0 doesn't)
- release 2

Revision 1.33  2001/08/24 04:51:44  kloczek
- updated to 1.3.10.

Revision 1.32  2001/08/14 20:39:49  qboosh
- separated authdaemond.{ldap,mysql} into subpackages (they require more libs)
- in %%post/%%preun authdaemon is restarted depeding on current METHOD setting
- added %%config(noreplace) %%verify(not size mtime md5) to auth* config files
- some manuals moved to appropriate subpackages
- release 2

Revision 1.31  2001/08/11 15:00:21  qboosh
- 1.3.9 needs one more mysql configure option
- BuildRequires: gdbm-devel, libstdc++-devel (C++ is only for *test?)

Revision 1.30  2001/08/10 14:46:13  kloczek
- cosmetics.

Revision 1.29  2001/08/10 12:24:57  qboosh
- 1.3.9
- added /var/lib/authdaemon direcotory to common subpackage

Revision 1.28  2001/08/07 22:13:18  qboosh
- fixed mysql detection problem (--with-mysql-libs must be specified)
- added _without_ldap and _without_mysql

Revision 1.27  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/07/19 08:33:17  waszi
- it should now build
- mysql is not detected by configure script... (i need config.log to check this)

Revision 1.24  2001/07/17 22:09:50  newrom
- Changed Source0: location

Revision 1.23  2001/07/11 22:33:13  waszi
- updated to 1.3.8.2

Revision 1.22  2001/05/27 17:31:25  kloczek
- fix in %install.

Revision 1.21  2001/02/13 21:55:36  kloczek
- release 2: added rc-scripts to Prereq for all subpackages.

Revision 1.20  2001/01/29 17:10:52  kloczek
- spec adapterized,
- removed COPYING from %doc (License is GPL).

Revision 1.19  2001/01/29 15:52:31  waszi
- updated to 1.3.2
- partially rewrited
- separated to 3 packages

Revision 1.18  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.17  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/02 21:21:47  baggins
- fixed version, minor cleanup

Revision 1.14  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.12  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.11  2000/03/28 11:10:59  arturs
typo

Revision 1.10  2000/03/27 13:25:08  arturs
- added %description -l pl

Revision 1.9  2000/02/02 11:05:19  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.8  1999/12/30 07:03:22  kloczek
- adapter(ized) and cosmetics.

Revision 1.7  1999/12/30 05:45:41  wiget
0.22

Revision 1.6  1999/12/29 10:14:31  waszi
- small fixes

Revision 1.5  1999/12/28 01:43:03  kloczek
- stop courier-imap in %preun only if runed.

Revision 1.4  1999/12/27 22:52:03  wiget
- version chcnged to 0.21

Revision 1.3  1999/11/29 11:21:30  waszi
- partially rewrited

Revision 1.2  1999/11/16 02:29:46  kloczek
- adapter(ed),
- removed Packager,
- added URL and full Source URL.
